Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403407 - dev-python/rst2pdf - Add SVG support (IUSE=svg)
Summary: dev-python/rst2pdf - Add SVG support (IUSE=svg)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on: 468768
Blocks:
  Show dependency tree
 
Reported: 2012-02-13 13:02 UTC by Jan Matějka (RETIRED)
Modified: 2013-05-08 05:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Matějka (RETIRED) gentoo-dev 2012-02-13 13:02:04 UTC
Add svg support to rst2pdf

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2012-02-14 17:31:54 UTC
Could you elaborate a bit on what you want to get achieved here, please?
Comment 2 Jan Matějka (RETIRED) gentoo-dev 2012-02-15 08:46:02 UTC
http://code.google.com/p/rst2pdf/source/browse/trunk/setup.py line 89

extra dependency on svglib if svgsupport is enabled. Allows you to do stuff like
.. figure:: fancy_image.svg

on USE="svg" i guess
Comment 3 Jan Matějka (RETIRED) gentoo-dev 2013-05-08 05:05:04 UTC
fixed in dev-python/rst2pdf-0.93-r1

note uniconvertor was removed [1]

[1]: https://code.google.com/p/rst2pdf/issues/detail?id=487